@Tishka17
Tishka17
02 Nov 2015
Tishka17

Говно ваш pip. Пишу pip install MySQL-python, а он мне - UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2

02 Nov 2015

Tishka17, родина тебе пакетменеджер дала!

02 Nov 2015

то ещё говно, ога.
под вендой запускаешь, ещё скажи?

02 Nov 2015

А может это ваш мускуль-модуль -- говно. Смотря откуда исключение вывалилось.

02 Nov 2015

igelko, centos 6.3

#ialgw/4 в ответ на /2
02 Nov 2015

Equidamoid, ниибу. я этот модуль 2 года назад юзал - и все ок было.

#ialgw/5 в ответ на /3
02 Nov 2015

а в штатных пакетах нужных модулей нема?

#ialgw/6 в ответ на /4
02 Nov 2015

pallascat, да вот стоит же. хз почему он в виртуалэнв не попал

#ialgw/7 в ответ на /1
02 Nov 2015

Таки вот именно точно эту самую версию с этой самой версией питона?

#ialgw/8 в ответ на /5
02 Nov 2015

Чего.

02 Nov 2015

когда виртуалэнв создаёшь там отдельный ключик на то, чтоб разрешить пакеты из дистра.

#ialgw/10 в ответ на /7
02 Nov 2015

Потому что маны читать надо, --system-site-packages.

#ialgw/11 в ответ на /7
02 Nov 2015

Equidamoid, спасибо. я первый раз виртуалэнв юзаю

#ialgw/12 в ответ на /11
02 Nov 2015

Equidamoid, по-любому нет.

#ialgw/13 в ответ на /8
02 Nov 2015

А про /0 -- запости логи целиком. Чую жопой, что там, например, кто-то 3 питон не умеет. Или ещё какая подобная дрянь. Или русские букафки в пути.

#ialgw/14 в ответ на /12
02 Nov 2015

Пути обычно не кастуют в юникодные строки, так что похуй.

#ialgw/15 в ответ на /14
02 Nov 2015

Equidamoid, какой ещё третий. 2.6 на борту

#ialgw/16 в ответ на /14
02 Nov 2015

Всё, что делает пип -- качает архив(ы) с сорцами и запускает из него setup.py с нужными ключами-путями. И валятся как раз установщики пакетов, которые писали авторы этих самых пакетов. Так что читай логи и пешы баги.

#ialgw/17 в ответ на /13
02 Nov 2015

Вот про последнее полумалось. Уж больно на кодировкопроблемы похоже

#ialgw/18 в ответ на /14
02 Nov 2015

Ну так да, редко кто ожидает non-ascii в путях. И ещё реже они встречаются.

#ialgw/19 в ответ на /18
02 Nov 2015

редхат же вам выкатил новые версии с лопаты, кушай давай

#ialgw/20 в ответ на /16
02 Nov 2015

Equidamoid, да там вообще gcc вызывается

#ialgw/21 в ответ на /17
02 Nov 2015

Обычно. А вот если надо, например, в xml'ку какую вкатить или ещё как-то сериализовать, то тихо и незаметно унутрях сериализатора кастуют.

#ialgw/22 в ответ на /15
02 Nov 2015

Какое старье! Фу таким быть! Уже 3.5 в миру имеется

#ialgw/23 в ответ на /16
02 Nov 2015

Ну дык, сказали авторы модуля в setup.py, что надо компилять, так setuptools и компиляет. Пип этим не занимается.

#ialgw/24 в ответ на /21
02 Nov 2015

Где-то в sys была переменная с кодировкой ФС, можно нормально сделать.

#ialgw/25 в ответ на /22
02 Nov 2015

ладно. поставил мускульный модуль через yum. Теперь вопрос как добыть webpy с поддержкой ssl

02 Nov 2015

Так себе решение, если честно. Точнее, даже не решение, а ещё один потенциальный источник проблем. Вообще, всё там через жопу с юникодом.

#ialgw/27 в ответ на /25
02 Nov 2015

Нормальное решение.

#ialgw/28 в ответ на /27
02 Nov 2015

А какое ему дело до ssl? Им же вебсервер заниматься должен.

#ialgw/29 в ответ на /26
02 Nov 2015

Equidamoid, from web.wsgiserver.ssl_builtin import BuiltinSSLAdapter
ImportError: No module named ssl_builtin

#ialgw/30 в ответ на /29
03 Nov 2015

Настрой кодировку в sitecustomize.py. А вообще, у тебя он похоже собираться решил, качай инсталлятор.

03 Nov 2015

Sych, поздно. уже поставил что можно юмом, что обошлось без компиляции - пипом. А потом ещё руками патчить пришлось, ибо везде старьё

#ialgw/32 в ответ на /31

Добавить пост

Вы можете выбрать до 10 файлов общим размером не более 10 МБ.
Для форматирования текста используется Markdown.